#
# cleanuplogs.pl - perl script to clean out old RWP log files
#
# ------------------------------------------------------------------
# | Copyright 2002, Rational Software, Inc.  
# | All Rights Reserved.                     
# ------------------------------------------------------------------
#

#
# perl script to clean out old RWP log files.
#

#
# Remove all log file over $DAYS old
#
$DAYS=30 ;

$DEBUG = "true" if $ARGV[0] =~ /^-[Dd]/;	# -d for debugging

##########################################################################
# go to specified directory
#
#
sub go_dir {
  $dir = $_[0];
  chdir "$dir" || die "Can not chdir into $dir : $! \n" ;
  print "in $dir\n" if $DEBUG;
}



###########################################################################
# remove all files in the log directory older than $DAYS old
#
#
sub Rm_old {
    $criteria = $_[0];
    print "criteria = $criteria END\n" if $DEBUG;	

    opendir(DIR, ".");
    foreach (readdir(DIR)) {
	    print "Considering $_ \n" if $DEBUG ;
            # Ordinary files with modification date over $DAYS old
	    if (-f $_ && $_ =~ /$criteria/ &&  -M $_ > $DAYS) {
		print "Removing $_ ... old\n" if $DEBUG ;
		unlink ("$_" ) || warn "Unable to remove $_. This file may be locked by a running Rational Web Platform process.\n" ;
	    }
    }
    closedir(DIR);
}



###########################################################################
# Main
#

### &Get_logdir ;


go_dir("..\\IHS\\logs"); 
&Rm_old(".*\.log\..*");


go_dir("..\\..\\EmbeddedExpress\\profiles\\profile1\\logs\\server1"); 
&Rm_old("System.*_.*\.log");


go_dir("..\\..\\EmbeddedExpress\\profiles\\profile2\\logs\\server1"); 
&Rm_old("System.*_.*\.log");


#go_dir("..\\ffdc"); 
#&Rm_old("server.*\.txt");







__END__
